<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    
<title>Moodle Docs: Current Release notes</title>
    
<link rel="stylesheet" href="docstyles.css" type="TEXT/CSS" />
    
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    
<style type="text/css">
<!-- 
      dt {font-family: "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif; font-weight: bold;}
      dd {margin-bottom:1em;} 
      dl {margin-left: 40px;}
.style1 {font-weight: bold}
-->
</style>
</head>

<body>


<h1>Latest Release notes</h1>

<h2>Moodle 1.5.3 (11th November, 2005) </h2>

<p>(Because this release contains important security fixes, we highly advise 
   that sites using any previous version of Moodle upgrade to this version 
   as soon as possible.)</p>

<h3>A few new things</h3>
  <ul type="circle">
  <li> We now have SCORM 1.3 (SCORM 2004) support!</li>
  <li> A new Single-Sign-On API is available</li>
  </ul>


<h3>Various fixes</h3>

<h4>General</h4>
  <ul type="circle">
  <li> Contains warnings when Moodle is used on an PHP configuration known to be insecure</li>
  <li> Contains fixes for some recently reported security problems (see <a href="http://security.moodle.org/">security.moodle.org)</a>)</li>
  <li> Backups now runs a lot faster medium/large installs. Many issues fixed in this area </li>
  <li> Listing of directory sizes can be made <em>much</em> faster on Linux/Unix servers, thanks to a performance fix you can enable from Admin-&gt;Variables: "path_to_du"</li>
  <li> We now log more meaningful IP addresses when the server or the clients are working behind a proxy</li>
  <li> Fixed some issues with PHP accelerators</li>
  <li> Upgrade scripts have been refined and work much better for PostgreSQL installations</li>
  <li> General PostgreSQL port code cleanup</li>
  <li> Upgrading to 1.5.3 will fix any legacy Journal to Online Assignment upgrade issues</li>
  <li> RSS libraries now support <em>RSS 2.0 categories</em>, see  <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3654" target="_blank">bug 3654</a></li>
  <li> Better accesibilty in file uploads, see  <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3662" target="_blank">bug 3662</a></li>
  <li> Better support for site-wide HTTPS, see <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3848" target="_blank">bug 3848</a></li>
  <li> We now send away bots (like Googlebot) from that try mangled URLs, see <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3958" target="_blank">bug 3958</a></li>
  <li> Better  <a href="http://moodle.org/mod/forum/discuss.php?d=29564" target="_blank">DST support for non-logged-in users</a></li>
  <li> Better  DST support for repeat events in Calendar</li>
  <li> Small fixes to the lesson, choice and grade modules</li>
  <li> Minor CSS improvements to formal_white and orangewhite themes</li>
  <li> Better pagination in course listing and loglive pages</li>
  <li> Fixed an IE-only bug related to HTMLArea content where user-edited tables could float and hide part of the UI.</li>
  </ul>

<h4>Authentication</h4>
  <ul type="circle">
  <li> Fixes to change password/forgotten password with external auth</li>
  <li> Data fetched from external DB or LDAP is now truncated correctly</li> 
  <li> Fixed <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=4305" target="_blank">bug 4305</a> -- better login block behaviour when using secureforms</li>
  <li> Better support for utf-8 user data from external auth</li>
  <li> LDAP: General fixes covering sync_users script and logging of errors</li>
  <li> LDAP: Fixed  <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3141" target="_blank">bug 3141</a> - Can't update external data
 with LDAP authentication</li>

  <li> LDAP: Fixed  <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3992" target="_blank">bug 3992</a> - LDAP password including a
 quote does not work - credits go to Kita</li>
  <li> LDAP: Better support for ActiveDirectory.</li> 
  <li> LDAP: Fixed <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3594" target="_blank">bug #3594</a></li> 
  <li> LDAP: Better handling of multi-source field mapping</li>
  <li> LDAP: Fix for using DN as idnumber - thanks fo Jeff Graham - <a href="http://moodle.org/mod/forum/discuss.php?d=28840" target="_blank">http://moodle.org/mod/forum/discuss.php?d=28840</a>
</li>
</ul>
<h4>Enrolment &amp; Metacourses</h4>
  <ul type="circle">
  <li> Metacourses: Prevent normal users to gain access to meta courses via manual enrolment</li>
  <li> Metacourses: better support for MySQL v3.23.x</li>
  <li> DB: Enrolment lookups now work reliably with Moodle on MySQL and Postgres</li>
  <li> DB: Non-MySQL databases work again as external enrolment databases</li>
  <li> LDAP: Fixed a wrong call to add_teacher in LDAP plugin.</li>
  <li> LDAP: Servers being down or unavailable no longer prevent logins</li>
  <li> LDAP: Course auto-creation works again</li>
  <li> LDAP: Fixed several bugs reported by Jeff Graham and Barron Koralesky -- including bugs 3912 and 3974</li>
  <li> LDAP: We can now bind non-anonymously to LDAP</li>
  <li> Authorize.net: several fixes</li>
  </ul>

<h4>Resources</h4>
  <ul type="circle">
  <li> Bugfix: Avoid linking to empty or unlinkable activity names</li>
  </ul>

<h4>Forums</h4>
  <ul type="circle">
    <li> Big and small optimizations to tracking of read/unread messages, specially for PostgreSQL</li>
    <li> Fixed some PostgreSQL bugs</li>
    <li> Some more actions are now supported by backup/restore when processing log records, see <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3852">bug 3582</a></li>
    <li> Now message forum RSS feeds are including category data -- useful under some RSS agregators able to group messages, see <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3654" target="_blank">bug 3654</a></li>
    <li> Fixed paging on forum search</li>
</ul>

<h4>Blocks</h4>
  <ul type="circle">
  <li> Several performance improvements </li>
  <li> Fixes to the upgrade process, including PostgreSQL syntax and lower memory usage</li>
  <li> Brought in several bugfixes from 1.6dev</li>
  <li> Fixed <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3478" target="_blank">bug 3478</a>: Cannot add RSS feed as course creator</li>
<li>  Fixed  <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3793" target="_blank">bug 3793</a>:
  Prevent warning message when configuring a glossary_random block in
 a course which has no glossaries</li>

</ul>

<h4>Quiz</h4>
  <ul type="circle">
  <li> Some CSS style fixes</li>
  <li> Better compatibility with themes that contain forms in the headers</li>
  <li> Highlighting of correct answers can now be turned off</li>
  <li> Fixed <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3986" target="_blank">bug 3986</a>: Too many random questions. 
  (mindforge)</li>
  <li> Fixed 
 <a href="http://moodle.org/mod/forum/discuss.php?d=28466#139179">missing action icons</a></li>
  <li> Fixed <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3899" target="_blank">bug 3899</a> and removed some 'missing
 course object' messages</li>
  <li>  Fixed  <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3950" target="_blank">bug 3950</a>: Ee-attempt button inconsistency for multi-attempt quizzes</li>

  <li> Fixed <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3953" target="_blank">bug 3953</a>: Quiz/report.php pagesize can be set to 0, credits to Jean-Michel</li>

  <li> Fixed potential data data corruption <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3915" target="_blank">bug 3915</a></li>

  <li> Fixed  <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3884" target="_blank">bug 3884</a>: Quiz correct highlights missing for 2 of 3 options.</li>


  <li> Fix for the <a href="http://moodle.org/mod/forum/discuss.php?d=26526">Student review highlight doesn't seem to work</a> bug</li>


  <li> Fixed <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3804" target="_blank">bug 3804</a>: Differences in question types between 1.5 and 1.6</li>
 <li>  Fixed  <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3822" target="_blank">bug 3822</a>: don't count previews as attempts</li>
  <li> Fixed <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3807" target="_blank">bug 3807</a>:  Question numbering issue</li>
  <li> Fixes for the <a href="http://moodle.org/mod/forum/discuss.php?d=27553" target="_blank">item analysis
 plug-in</a>, assembled by Jean-Michel</li>
  <li> Now we reset the timeout counter to <a href="http://moodle.org/mod/forum/discuss.php?d=24790#129431" target="_blank">avoid timeouts</a></li>
 <li>  Several  <a href="http://moodle.org/mod/forum/discuss.php?d=27766" target="_blank">improvements</a> contributed by Jean-Michel Vedrine. You can now change the number of attempts per page displayed on screen, and download results to Excel/text file, including detailed grades</li>
  <li> Fixed export bug with non-English languages</li>
  </ul>

<h4>SCORM</h4>
  <ul type="circle">
  <li> We now support SCORM 1.3 (SCORM 2004)!</li>
  <li> Fixed a bug with next and prev SCO search</li>
  <li> Fixed bugs related to masteryscore</li>
  <li> Fixed a problem in AICC course tracking</li>
  </ul>

<h4>Wiki</h4>
  <ul type="circle">
  <li> Now paging of older versions is showed
 and working properly, see <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=3750" target="_blank">bug 3750</a></li>
  
  </ul>

<h4>Filters</h4>
  <ul type="circle">
  <li> Mediaplugin filter now <a href="http://moodle.org/mod/forum/discuss.php?d=27630" target="_blank"> finds multi-line links in HTML code</a></li>
  <li> Censor filter: Added original word as title to the
 blacked-out version.  The filter can obscure actual
 important words by mistake (eg Dickens) and there needs to be some
 way to recover the meaning</li>
  </ul>

<!-- Roll of honour for the 1.5.3 release 
     (computed very roughly)

  <li>Committers and number of commits:</li>  <ul>

    <li>adamtpaw: 7</li>
    <li>bobopinna: 7</li>
    <li>danmarsden: 1</li>
    <li>defacer: 14</li>
    <li>dhawes: 2</li>
    <li>dlnsk: 1</li>
    <li>ethem: 2</li>
    <li>gbateson: 6</li>
    <li>gustav_delius: 13</li>
    <li>ikawhero: 5</li>
    <li>julmis: 8</li>
    <li>martignoni: 20</li>
    <li>martinlanghoff: 35</li>
    <li>michaelpenne: 12</li>
    <li>mindforge: 26</li>
    <li>mjollnir_: 39</li>
    <li>moodler: 67</li>
    <li>mudrd8mz: 6</li>
    <li>paca70: 5</li>
    <li>patrickslee: 24</li>
    <li>skodak: 36</li>
    <li>stronk7: 32</li>
    <li>thepurpleblob: 18</li>
    <li>urs_hunkler: 7</li>
  </ul>

-->

<h2>Moodle 1.5.2 (16th July, 2005) </h2>

<h3>Various fixes</h3>
  <ul type="circle">
  <li>Journal -> Assignment upgrade now works properly  :-/</li>
  <li>Assignment submodules now upgrade as expected</li>
  <li>Various other bugs with new Assignments fixed</li>
  <li>Journal module is now disabled by default on new installations</li>
  <li>Login page is now 100% HTTPS if required</li>
  <li>Various small standard theme tweaks</li>
  <li>Fix for recent matching questions display bug in Quiz</li>
  <li>Language editor no longer creates empty files when not necessary (caused country list bug)</li>
  <li>Fixed some manifest parsing problems in SCORM module</li>
  <li>Multilang filter now deals with pack names that contain numbers</li>
  <li>Files are now force-downloaded (fixes IE problems and some security issues)</li>
  <li>Relinking debugging output is escaped</li>
  <lI>Large MP3 player now displays ID3 tags properly again</li>
  <li>Some chat daemon improvements</li>
  </ul>

<h3>Some new things</h3>
  <ul type="circle">
  <li>Orangewhite theme optimised for use on PDA</li>
  <li>Forum user posts page can be called without userid</li>
  <li>Altavista BabelFish now allowed in as guest when Google is</li>
  </ul>


<hr />
<h2>Moodle 1.5.1 (8th July, 2005) </h2>

<h3>Various fixes</h3>
  <ul type="circle">
  <li>Several potential security problems solved</li>
  <li>Allowobjectembed setting now works correctly</li>
  <li>Speed problem on IE, caused by tab hover fixed.</li>
  <li>Cut and paste in editor on Firefox has a more helpful warning message</li>
  <li>Fixed a session problem when logged on as admin during upgrade from very old Moodle version</li>
  <li>Fixed editing problem in Main menu of site</li>
  <li>Minor CSS display problems in a few areas were fixed</li>
  <li>Fixed the adding of a single discussion forum</li>
  <li>Fixed Lesson problems with calculating grades, and dates </li>
  <li>Fixed Lesson problems with entering a cluster after a page</li>
  <li>Censor filter was fixed to make it work better with old themes</li>
  </ul>

<h3>Some new things</h3>
  <ul type="circle">
  <li>New theme: Wood</li>
  <li>Metal theme updated for 1.5</li>
  <li>Many language updates for most languages, including a new language: Khmer</li>
  <li>Block classes can now run custom code when an instance is created/deleted (this is useful for 
      blocks that need to set up non-trivial data structures)</li>
  <li>Wizard for Calculated Questions in Quiz was rewritten</li>
  <li>Backup/Restore module selection is now improved and much easier</li>
  <li>Backup/Restore module has much improved relinking support, it's now faster and easier to implement in new modules</li>
  </ul>


<hr />


<h2>Moodle 1.5 (5th June, 2005) </h2>

<h3>Headline features</h3>
  <ul type="circle">
  <li> Web pages are compliant with XHTML Transitional 1.0</li>

  <li> Improved <b>Accessibility</b>, aiming for compliance with WAI (W3C), SENDA (UK) and Section 508 (US) criteria.</li>
  <li> Very strong <b>new Themes system</b>, allowing cascading themes, user themes, course themes, with very fine control of every page in Moodle via CSS.</li>

  <li> Integrated <b>Messaging</b> feature for direct communication between all users in the site, featuring realtime popup windows, notification, email copies, blocking, history, WYSIWYG editor, etc</li>
  <li> Forum read/unread tracking with highlights allows you to see new postings at a glance and to control how these are displayed (per forum, per user or per site).</li>
  <li> New <b>Blocks</b> system, allowing multiple copies of blocks and better block configuration</li>

  <li> Full support for <b>Daylight Savings Time</b> in every locality around the globe, so everyone always see the correct local time for all events.</li>

  <li> New <b>extended gradebook</b> allowing custom weighting of different activities, setting extra grades (or taking out others) and improved display and sorting options </li>

  <li> Users can be required to agree to a <b>Site Policy</b>  </li>
  </ul>

<h3>Other Major System-wide Improvements</h3>
<h4>Admin </h4>
  <ul type="circle">
  <li> New "maintenance mode" allows the admin to temporarily disable a site (during upgrades, for example).</li>

  <li> Moodle can automatically download a new list of timezones from moodle.org or elsewhere and install it to the database (Olson files are supported too)</li>
  <li> New version of Moodle MySQL Admin module (available separately)</li>

  <li> New calendar options page provides user interface to configure the behavior of the calendar  </li>
  </ul>

<h4>Authentication</h4>

  <ul type="circle">
  <li> New Shibboleth Support</li>
  <li> New CAS Support</li>
  <li> New PAM Support</li>
  <li> Improved LDAP integration, so that LDAP can now control course creation, group assignments. Increased performance and scalability performing user synchronisation.</li>

  <li> Certain user fields can be locked by the admin when using external authentication</li>
  <li> Improved session handling now detects "crossover" sessions that we have found in some buggy PHP installations and prevents them</li>
  <li> Sessions can now be stored in the database (good for clustered installations!)</li>

  <li> Users can be forced to change their password  </li>
  </ul>

<h4>Files</h4>
  <ul type="circle">
  <li> Standardised file browsing in all areas</li>
  <li> Improved uploading, with support for automated Virus scanning of new documents using ClamAV.</li>

  <li> Slasharguments now work also on IIS (upgrade to PHP 4.3.11 needed for ISAPI)  </li>
  </ul>

<h4>Filters</h4>
  <ul type="circle">
  <li> Standardised filter library makes it trivial to write new filters that require searching and highlighting of text.</li>

  <li> Huge efficiency improvements for complex filters like the Glossary filter</li>
  <li> New Tidy filter uses the W3C Tidy program to (optionally) clean all user-entered texts throughout the site and convert it to valid XHTML code</li>
  <li> Improved censorship filter, now "blacks out" words using styles and uses a word list from the language packs.</li>

  <li> Improved Flash MP3 player, now shows progress bar while downloading and playing</li>
  <li> Improved Multi-language filter is faster, more forgiving of syntax errors, and uses new editor-friendly syntax:  &lt;span lang="en"&gt;&lt;/span&gt;</li>
  <li> Auto-linking filters (glossary, activities) can work to link all the occurrences (old behaviour), once for each text block or only once for the whole page ($CFG-&gt;filtermatchonepertext, $CFG-&gt;filtermatchoneperpage).</li>

  <li> More text can now be filtered in Moodle, including activity names, headings and other such small texts.  This makes it possible to design completely multi-lingual sites in Moodle that fully appears in the user's chosen language.  </li>
  </ul>

<h4>Themes</h4>
  <ul type="circle">
  <li> Modules can provide standard styles </li>
  <li> Themes can override required styles of other themes</li>

  <li> Users and courses can choose their own themes if the admin allows it</li>
  <li> Implementation of tabs interface on many pages  </li>
  <li> Modules, Blocks and Languages can define their own standard styles </li>
  </ul>

<h4> HTML Editor</h4>
  <ul type="circle">
  <li> The toolbuttons offered in the editor toolbar are now configurable by the admin</li>
  <li> Search and Replace text within the editor text area (with optional use of regular expressions)  </li>
  </ul>

<h4> Course management</h4>

  <ul type="circle">
  <li> Transparent Blackboard 5.5 course importing (partial 6.0 support)</li>
  <li> The new meta-courses allow to get users automatically enroled in a general course (the metacourse) when enroled in any of the metacourse-linked courses</li>
  <li> New tool to copy content from a course to other.  </li>
  </ul>

<h4> New blocks </h4>
  <ul type="circle">
  <li> HTML block: allowing to place arbitrary content (text, images links)  in any course mainpage </li>
  <li> Remote RSS feed: allows to display external news channels inside a Moodle course</li>

  <li> Glossary Selection: to choose and display content from a Moodle glossary in course mainpage  </li>
  </ul>

<h4> Calendar</h4>
  <ul type="circle">
  <li> Major speed improvements for sites with a large number of courses using groups</li>

  <li> Repeating events can now be modified or deleted all at the same time or separately as before</li>
  <li> New "remember filter settings" preference that allows calendar filters to remember their status between logins  </li>
  </ul>

<h3> Activity Module Improvements</h3>
<h4>Assignment</h4>
  <ul type="circle">
  <li> Completely refactored into a new class-based design, allowing new plugin-assignment types</li>
  <li> New Online Text assignment type that doesn't require files and allows inline comments when grading - this new type effectively replaces the old Journal module</li>
  <li> Vastly improved grading interface for handling large classes</li>

  <li> New configuration options to disable late submission and to e-mail alerts to teachers when students submit new work  </li>
  </ul>

<h4>Chat</h4>
  <ul type="circle">
  <li> Streamlined interface looks smoother, works faster, even without using the optional server daemon</li>

  <li> Blocks can now be added to chat pages (e.g. for additional information)  </li>
  </ul>

<h4>Choice</h4>
  <ul type="circle">
  <li> Rewritten to allow any number of choices</li>

  <li> The number of users per choice can be limited, which allows it to be used as tool for "signing up" to an array of options.</li>
  <li> You can now download the results of the choice to XLS or a TXT file  </li>
  </ul>

<h4>Forum</h4>
  <ul type="circle">

  <li> Powerful new Google-like forum searching tools</li>
  <li> Forum read/unread tracking - unread messages are highlighted on the course page, forum page, discussion listing and the discussion view</li>
  <li> The tracking system may be disabled by teachers/users </li>
  <li> User profiles show all posts by a user, as well as all discussions</li>
  <li> When admins edit user messages, a notice is attached </li>

  <li> Discussion listing shows the last user who posted to each discussion and when it was, with a direct link to that post</li>
  <li> In group-enabled forums the discussion listing shows the group the thread applies to, with a link to the group description page.    </li>
  </ul>

<h4>Glossary</h4>
  <ul type="circle">
  <li> New setting to enable/disable the print view of each glossary.</li>

  <li> New search system looks for words everywhere (instead of doing exact phrase match).</li>
  <li> More information is sent to logs to be able to track activity better.  </li>
  </ul>

<h4>Journal</h4>
  <ul type="circle">
  <li> The Journal module has not changed since 1.4, and is now deprecated.  The upgrade procedure 
       will convert all your Journal activities into Online Assignments, and hide all the old Journal
       activities.  If you don't want this to happen, then define this in your config.php:  $CFG->noconvertjournals = true;</li>
  </ul>

<h4>Lesson</h4>

  <ul type="circle">
  <li> Now supports timed Lessons</li>
  <li> Can create practice Lessons (grades are not stored)</li>
  <li> Option for students to view points earned while taking the Lesson</li>
  <li> Allow students to review their answers before submitting the Lesson</li>

  <li> New Slide Show Mode (only branch tables are displayed as slides)</li>
  <li> New Left Menu (for enabled branch tables only)</li>
  <li> Lessons can now be Password Protected</li>
  <li> A Tree View can be used for the Lesson creation screen</li>

  <li> Students can post their high scores</li>
  <li> New option to save a Lesson's settings as defaults for new lessons in the same course</li>
  <li> Can delete a student's attempts</li>
  <li> New page Jumps:
    <ul type="circle">

    <li> Previous Page</li>
    <li> Unseen question within a branch</li>
    <li> Random question within a branch</li>
    <li> Unseen question within a cluster    </li>
    </ul>

  </li>
  <li> Added functionality to view Lesson statistics</li>
  <li> New question type: Essay.  Teachers can view each essay and write comments, assign a grade, and then email it all to the student</li>
  <li> New question creation interface  </li>

  </ul>

<h4>Quiz</h4>

  <ul type="circle">
  <li> Can handle adaptive questions, i.e., questions that allow the student to interact with them repeatedly within the same quiz attempt and that can change in response to student answers.</li>
  <li> Student can be allowed to try a question again immediately within the same quiz attempt until they get the answer right.</li>
  <li> There is a penalty mechanism that deducts a specified fraction of the mark for each wrong attempt at a question.</li>

  <li> Allows questions rendered and scored externally (e.g., by mathematical assessment engines) to be integrated seamlessly into Moodle quizzes via the RQP web services protocol.</li>
  <li> Is prepared for the handling of IMS QTI questions once web services for these become available.</li>
  <li> New tabbed teacher interface for previewing, editing, and reviewing quizzes.</li>
  <li> New "improved security" mode shows quiz in a separate full-screen window, with many browser features disabled</li>

  <li> Quizzes can be presented to students in several pages. The number of questions per page is selectable by the teacher.</li>
  <li> Blocks can now be added to quiz pages (to show results table, or additional information etc)</li>
  <li> Better and cleaner interface for question selection and management in the database. Selected questions can be added to quiz, moved to other categories or deleted en mass.</li>

  <li> Random questions are now added to the quiz question list with a dedicated button, leaving a cleaner interface at questions database without phantom placeholders</li>

  <li> Final grade can be a fractional number, with teacher-defined decimal figures </li>
  <li> Improved results page with user-selectable display of columns, cleaner sorting and new mark display options </li>
  <li> Questions can be edited with one click from the improved quiz preview and question preview screens.</li>
  <li> Questions can be copied with one click, to allow question variations to be created with ease.</li>
  <li> Revamped question categories structures and editing interface. </li>

  <li> Categories now can contain nested subcategories and can be re-ordered. </li>
  <li> It is possible to select whether questions from categories, and or their subcategories are displayed on the question edit page. </li>
  <li> It is now possible to select whether to add random questions from a parent category alone, or from a parent category and its sub-categories. </li>
  <li> Quiz creators are prevented from changing the question set of quizes that have had student responses. </li>
  <li> Recognition, and rejection, of overlapping/redundant questions has been improved. </li>

  <li> The display of questions in longer quiz categories on the quiz editing page is now paginated. </li>
  <li> New export types - IMS QTI (2.0) and xhtml. Improvements &amp; fixes to others.</li>
  <li> New import type - Hot Potato. Improvements &amp; fixes to others.  </li>

  </ul>

<h4>Scorm </h4>
  <ul type="circle">
  <li> The module is now fully conformant with the SCORM 1.2 standard.</li>
  <li> User result data storage and reporting was improved. </li>
  <li> AICC packages can now be imported. </li>
  </ul>

<h4>Survey</h4>
  <ul type="circle">
  <li> Graph formatting has been improved (labels are more readable)</li>
  </ul>

<h4>Wiki </h4>
  <ul type="circle">
  <li> Changes to wiki pages are now monitored and displayed in Recent Activity block</li>
  <li> Several under the hood improvements to backup/restore and other routines that enhance the reliability of wikis  </li>
</ul>




<br />
<br />
<div align="center" class="style1"><strong><font size="+1">If you experience any bugs in this release, please report them <a href="http://moodle.org/bugs" target="_blank">moodle.org/bugs</a> so we can fix them in the next release.</font></strong></div>
<br />
<center>
  <p>
<a href="./?file=releaseold.html">Old release information</a>
</p>
</center>
<br />
<p align="center"><font size="1"><a href="../doc/" target="_top">Moodle Documentation</a></font></p>
<p align="center"><font size="1">Version: $Id$</font></p>
